New language file for Macedonian (mk)
Closed, ResolvedPublic

Description

Author: misos

Description:
Please update the latest (first) update for mk.wikipedia.org.
I hope that this is the correct bug request, right?


Version: unspecified
Severity: normal
URL: http://meta.wikimedia.org/wiki/LanguageMk.php

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz2311.
bzimport created this task.Via LegacyJun 3 2005, 4:11 PM
bzimport added a comment.Via ConduitJun 5 2005, 8:22 PM

avarab wrote:

Please supply an attachment to this bug and make sure not to include redundant
messages such as the sidebar message and untranslated messages in English,
they'll be inherited anyway.

bzimport added a comment.Via ConduitJun 5 2005, 9:08 PM

misos wrote:

(In reply to comment #1)

Please supply an attachment to this bug and make sure not to include redundant
messages such as the sidebar message and untranslated messages in English,
they'll be inherited anyway.

You mean remove all lines where no changes were made? If so, I'll attach it later tonight.

bzimport added a comment.Via ConduitJun 5 2005, 9:16 PM

misos wrote:

Macedonian language file

attachment LanguageMK.php ignored as obsolete

bzimport added a comment.Via ConduitJul 4 2005, 9:46 PM

avarab wrote:

(In reply to comment #3)

Created an attachment (id=596) [edit]
Macedonian language file

What encoding is that file in? It isn't UTF-8.

bzimport added a comment.Via ConduitJul 4 2005, 10:46 PM

misos wrote:

Macedonian Language File (UTF8)

The previous file was with an cp1251 encoding. This one is UTF8.

attachment LanguageMK.php ignored as obsolete

bzimport added a comment.Via ConduitJul 4 2005, 10:56 PM

avarab wrote:

(In reply to comment #5)

Created an attachment (id=671) [edit]
Macedonian Language File (UTF8)

The previous file was with an cp1251 encoding. This one is UTF8.

  • Make sure it at least loads and runs, this file had several parsing errors
  • Don't define things like getBookstoreList() which export a null array
  • You don't need to define getNsText() or getNsIndex()
  • Indent functions and code, use tabs.
  • Don't include messages in English
  • Don't define the sidebar message
  • Don't use php variables in messsages, use wikitext equivalents where appropriate
bzimport added a comment.Via ConduitJul 5 2005, 6:52 PM

misos wrote:

Macedonian Language File (UTF8)

Fixed the parsings errors and some tweaks. I didn't change anything in the
LanguageMK class, I just used the file located on meta.

Attached: LanguageMK.php

bzimport added a comment.Via ConduitJul 9 2005, 9:22 PM

avarab wrote:

(In reply to comment #7)

Created an attachment (id=675) [edit]
Macedonian Language File (UTF8)

Fixed the parsings errors and some tweaks. I didn't change anything in the
LanguageMK class, I just used the file located on meta.

Applied to HEAD with some changes, marking the bug as FIXED.

bzimport added a comment.Via ConduitJul 12 2005, 2:17 PM

misos wrote:

I see that some things were changed (like Special->Специјални, Talk->Разговор), but the majority was
left intact. Is it going to be updated gradualy, step by step, or there is another problem!?

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.